Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 275020

Summary: sci-physics/paw-2.14.04-r2 fails to build with gcc-4.4
Product: Gentoo Linux Reporter: Joost Ruis <joost.ruis>
Component: Current packagesAssignee: Gentoo Science Physics related packages <sci-physics>
Status: RESOLVED FIXED    
Severity: normal CC: bircoph
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
environment
paw-2.14.04-glibc-2.10.patch

Description Joost Ruis 2009-06-22 06:33:19 UTC
...
gcc chain.c
gcc pavercmd.c
gcc pavers.c
gcc tcpiaf.c
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/tcpiaf.c: In function 'pf_local':
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/tcpiaf.c:815: warning: ignoring return value of 'fgets', declared with attribute warn_unused_result
gcc bugrep.c
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c: In function 'br_mail_file':
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c:446: error: 'L_cuserid' undeclared (first use in this function)
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c:446: error: (Each undeclared identifier is reported only once
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c:446: error: for each function it appears in.)
Failing command: gcc -g -c -Os -march=x86-64 -pipe    -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/build/pawlib/paw -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/include    -DgFortran -DFUNCPROTO=15    -DCERNLIB_LINUX -DCERNLIB_UNIX -DCERNLIB_LNX                         -DCERNLIB_QMGLIBC -DCERNLIB_QMLXIA64                                  -DCERNLIB_GFORTRAN /var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c -o archive/bugrep.o
gmake[4]: *** [archive/bugrep.o] Error 1
gmake[3]: *** [cpaw/archive/objects.list] Error 2
make[2]: *** [paw/archive/objects.list] Error 2
make[1]: *** [cernlib-libraries] Error 2
make: *** [stampdir/cernlib-arch-stamp] Error 2

sabayon server # emerge --info
Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.4.0, glibc-2.10.1-r0, 2.6.25-sabayon x86_64)
=================================================================
System uname: Linux-2.6.25-sabayon-x86_64-Intel-R-_Xeon-R-_CPU_X3220_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 21 Jun 2009 17:15:03 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 1.3.7-r1, 2.1.8
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r5
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=x86-64 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/glftpd/etc /opt/glftpd/ftp-data /opt/openfire/resources/security/ /usr/kde/3.5/share/config/kdm /usr/lib64/fax /usr/share/config /usr/share/xbmc/userdata /var/bind /var/lib/hsqldb /var/spool/fax/etc /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/skel /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=x86-64 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirror.switch.ch/ftp/mirror/gentoo/"
LANG="en_US"
LC_ALL="en_US"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh"
MAKEOPTS="-s -j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/java-overlay /usr/local/portage/layman/enlightenment /usr/local/portage/layman/sabayon"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7Zip X a52 aac aalib accessibility acl acpi aiglx aim alsa amd64 artswrappersuid audiofile avahi bash-completion berkdb bidi bluetooth bzip2 cairo cdda cddb cdr chm cjk cli config_wizard cpudetection cracklib crypt css cups dbox2 dbus dga dri dts dv dvb dvd dvdr dvdread dvi dxr3 emboss encode extramodules fam fame fat ffmpeg fftw firefox flac flash foomatic-db fortran freetype gcj gdbm gif gimpprint gmp gnutls gphoto2 gpm gs gsm gstreamer gtk hal hfs iconv icq ieee1394 imap inotify ipod ipv6 irc irda isdnlog jabber jack jfs jingle joystick jpeg kde kdeenablefinal kdehiddenvisibility kerberos kipi lame lcd ldap libnotify live lj lm_sensors logitech-mouse lzo mad mail midi mikmod mjpeg mmx mng mozdevelop mp3 mp3rtp mpeg msn mudflap multilib musepack musicbrainz ncurses network new-login nls nptl nptlonly nsplugin ntfs ogg openal openexr opengl openmp pam pcmcia pcre pda pdf perl png policykit povray ppds pppd pulseaudio python qt3support qt4 quicktime quotas rar rdesktop readline reflection reiserfs rss scanner sdl session slp sms speex spell spl sse sse2 ssl startup-notification stream svg sysfs tcpd theora tiff tracker truetype udev unicode usb v4l v4l2 visualization voice vorbis weather wifi wmf x264 xcb xfs xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc yahoo zeroconf zlib" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart mona pcxhr rme32 rme96 sb16 sbawe sscape usbusx2y vx222 usb-usx2y" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 digita directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50x sq905 stv0674 stv0680 sx330z template" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh" USERLAND="GNU" VIDEO_CARDS="fbdev vesa radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always
Comment 1 Andrew Savchenko gentoo-dev 2009-07-12 17:55:16 UTC
This is not gcc-4.4 problem. I encountered the same issue with gcc-4.3.3-r2, maybe it is glibc-related:

gcc l1-cache-line-size=64 l1-cache-size=32 l2-cache-size=512 bugrep.c
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c: In function 'br_mail_file':
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c:446: error: 'L_cuserid' undeclared (first use in this function)
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c:446: error: (Each undeclared identifier is reported only once
/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c:446: error: for each function it appears in.)
Failing command: gcc -g -c -march=core2 -m32 --param l1-cache-line-size=64 --param l1-cache-size=32 --param l2-cache-size=512 -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -fomit-frame-pointer -mfpmath=sse -pipe -fno-strength-reduce    -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/build/pawlib/paw -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw -I/var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/include    -DgFortran -DFUNCPROTO=15    -DCERNLIB_LINUX -DCERNLIB_UNIX -DCERNLIB_LNX                          -DCERNLIB_QMGLIBC                                   -DCERNLIB_GFORTRAN /var/tmp/portage/sci-physics/paw-2.14.04-r2/work/paw-2.14.04.dfsg.2.orig/src/pawlib/paw/cpaw/bugrep.c -o archive/bugrep.o

$ emerge --info
Portage 2.2_rc33 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.29.04-std121 i686)
=================================================================
System uname: Linux-2.6.29.04-std121-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 08 Jul 2009 09:45:02 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=core2 -m32 --param l1-cache-line-size=64 --param l1-cache-size=32 --param l2-cache-size=512 -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -fomit-frame-pointer -mfpmath=sse -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=core2 -m32 --param l1-cache-line-size=64 --param l1-cache-size=32 --param l2-cache-size=512 -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -fomit-frame-pointer -mfpmath=sse -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="ccache collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-march=core2 -m32 --param l1-cache-line-size=64 --param l1-cache-size=32 --param l2-cache-size=512 -O2 -funswitch-loops -fpredictive-commoning -fgcse-after-reload -ftree-vectorize -fomit-frame-pointer -mfpmath=sse -pipe"
GENTOO_MIRRORS=" ftp://bircoph/distributive/gentoo/portage ftp://ftp.chg.ru/pub/Linux/gentoo http://mirror.yandex.ru/gentoo-distfiles  ftp://ftp.corbina.net/pub/Linux/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo http://mirror.netcologne.de/gentoo"
LANG="en_US.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru en ja"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/science /usr/local/portage/layman/java-overlay /usr/local/portage/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi adns afs aften aim alsa amr amrnb amrwb ao audiofile bash-completion bcmath binfilter blas bluetooth branding bzip2 cairo calendar canna caps ccache cddb cdinstall cdparanoia cdr chasen cjk cli clisp colordiff cracklib crypt cscope css ctype cups curl curlwrappers cvs cxx cyrillic dbus device-mapper dga dia dirac directfb djvu dmx doc dri dts dv dvd dvdr dvdread dvi editor elf encode enscript ermt examples exif expat faac faad fbcon festival ffmpeg fftw firefox flac fontconfig foomaticdb fortran fpx freetds freetype ftp gcj gcrypt gd gdbm geoip ggi gif gimp ginac git glut gmp gnuplot gnutls gpgme gphoto2 gpm gps graphviz gs gsl gsm gtk gucharmap h224 h281 h323 hdf5 hdri iconv icq icu id3tag idn imagemagick imap imlib immqt-bc inkjar ipod iproute2 ipv6 isdnlog jabber jack jadetex java6 javascript jbig jingle jpeg jpeg2k kdehiddenvisibility kerberos keyscrub kpathsea kqemu ladspa lame lapack lash latex lcms ldap libcaca libnotify libsamplerate libwww logrotate lzo mad maildir mailwrapper matroska mbox md5sum mhash midi mikmod mime mjpeg mmap mmx mng modplug mp3 mpeg mplayer mppe-mppc msn mudflap musepack musicbrainz mysql mysqli nas ncurses netcdf network network-cron nls nntp nocd nodrm nptl nptlonly nsplugin nuv objc objc++ offensive ogg openal openexr opengl openmp oscar otr pam pango pch pcntl pcre pda pdf perl pgf plotutils png pop posix postproc postscript ppds pppd pronounce pstricks qt3 qt3support qt4 quicktime raw rdesktop readline recode reflection restrict-javascript rle rrdtool samba scanner schroedinger sdl session sharedmem shorten sip sipim slang slp smi smime smp sms smtp sndfile sockets socks5 soundtouch sox sparse speex spell spl sqlite sqlite3 sse sse2 sse3 ssl ssse3 startup-notification subversion supernodal svg svga sysfs syslog szip t1lib taglib tcpd theora threads tiff timezone timidity tordns truetype twolame type3 unicode usb v4l v4l2 vamp vcd videos vim vim-syntax vnc vorbis wav wavpack wifi win32codecs wireshark wmf x264 x86 xattr xcb xface xft xinerama xorg xosd xpm xprint xrandr xscreensaver xv xvid yahoo yaz ziffy zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authz_host dir mime" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en ja" USERLAND="GNU" VIDEO_CARDS="intel vesa fbdev"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Andrew Savchenko gentoo-dev 2009-07-12 17:57:56 UTC
Created attachment 197662 [details]
build.log
Comment 3 Andrew Savchenko gentoo-dev 2009-07-12 17:58:11 UTC
Created attachment 197664 [details]
environment
Comment 4 Andrew Savchenko gentoo-dev 2009-07-13 05:26:46 UTC
Created attachment 197754 [details, diff]
paw-2.14.04-glibc-2.10.patch

It seems to be glibc-2.10 related problem: L_cuserid is defined in stdio.h only if _POSIX_SOURCE is defined. This patch fixes the problem.
Comment 5 S├ębastien Fabbro (RETIRED) gentoo-dev 2009-09-11 02:25:31 UTC
fixed in cvs. thanks